.home-box h3{
    font-size: 20px;
    color: #000000;
    font-weight: 500;
    margin-bottom: 15px;
    line-height: 25px;
}

.quiz{
    background-color: rgb(95, 204, 255);
}


.custom-box{
    max-width: 700px;
    background-color: white;
    margin: 40px auto;
    padding: 30px;
    border-radius: 10px;
}


.custom-box::before,
.custom-box::after{
    content: '';
    clear: both;
    display: table;
}

.custom-box.hide{
    display:none;
}

.quiz-box .question-number,
.quiz-box .question-text,
.quiz-box .option-container,
.quiz-box .next-question-btn,
.quiz-box .answer-indicator{
    width: 100%;
    float: left;
}
.quiz-box .question-number{
    font-size: 20px;
    color: rgb(80, 185, 255);
    font-weight: 600;
    border-bottom: 1px solid #cccccc;
    padding-bottom: 10px;
    line-height: 25px;
}
.quiz-box .question-text{
    font-size: 22px;
    color: #000000;
    line-height: 28px;
    font-weight: 400;
    padding: 20px 0;
    margin: 0;
}


.quiz-box .option-container .option{
    background-color: #cccccc;
    padding: 13px 15px;
    font-size: 16px;
    line-height: 22px;
    color: #000000;
    border-radius: 5px;
    margin-bottom: 10px;
    cursor: pointer;
    text-transform: capitalize;
    opacity: 0;
    animation: fadeIn 0.3s ease forwards;
    position: relative;
    overflow: hidden;
}

.quiz-box .option-container .option.already-answerd{
    pointer-events: none;
}

@keyframes fadeIn {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.quiz-box .option-container .option.correct::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: green;
    z-index: -1;
    animation: slideInLeft .5s ease forwards;
}

@keyframes slideInLeft {
    0%{
        transform: translateX(-100%);
    }
    100%{
        transform: translateX(0%);
    }
}

.quiz-box .option-container .option.wrong::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: red;
    z-index: -1;
    animation: slideInLeft .5s ease forwards;
}

.quiz-box .option-container .option.wrong{
    color: #ffffff;
}

.quiz-box .option-container .option.correct{
    color: #ffffff;
}

.quiz-box .answer-indicator{
    border-top: 1px solid #cccccc;
}

.quiz-box .answer-indicator div{
    height: 40px;
    width: 40px;
    display: inline-block;
    background-color: #cccccc;
    border-radius: 50%;
    margin-right: 3px;
    margin-top: 15px;
}

.quiz-box .answer-indicator div.correct{
    background-color: green;
}

.quiz-box .answer-indicator div.wrong{
    background-color: red;
}

.next-question-btn{
    margin-bottom: 10px;
}

.next-question-btn .btn{
    width: 20%;
}

.box-result{
    text-align: center;
}

.box-result.hide{
    display: none;
}

.box-result h1{
    font-size: 30px;
    line-height: 40px;
    color: rgb(80, 185, 255);
}

.box-result table{
    width: 100%;
    border-collapse: collapse;
    margin: 30px 0;
}

.box-result table td{
    border: 1px solid #cccccc;
    padding: 8px 15px;
    font-weight: 500;
    color: #000000;
    width: 50%;
    text-align: left;
    font-size: 18px;
}

.box-result .btn{
    margin-right: 20px;
    width: 24%;
}

@media(max-width: 760px){
    .box-result .btn{
        margin-bottom: 15px;
    }
}

.quiz img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.quiz h2{
    text-align: center;
    font-size: 30px;
    color: white;
}

.quiz p{
    text-align: center;
    color: red;
    margin-bottom: 10px;
}
